Event Types
Create an event type
Creates a new event type for a project.
POST
/
projects
/
{project_id}
/
event_types
Create an event type
curl --request POST \
--url https://app.gomangrove.com/api/v1/projects/{project_id}/event_types \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": {
"name": "Biochar Production",
"slug": "biochar-production",
"description": "Event for tracking biochar production",
"reusable_in_batches": false,
"expected_locations": "one",
"requires_tracking_id": true,
"requires_feedstock": false,
"requires_asset": false
}
}
'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}/event_types"
payload = { "event_type": {
"name": "Biochar Production",
"slug": "biochar-production",
"description": "Event for tracking biochar production",
"reusable_in_batches": False,
"expected_locations": "one",
"requires_tracking_id": True,
"requires_feedstock": False,
"requires_asset": False
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_type: {
name: 'Biochar Production',
slug: 'biochar-production',
description: 'Event for tracking biochar production',
reusable_in_batches: false,
expected_locations: 'one',
requires_tracking_id: true,
requires_feedstock: false,
requires_asset: false
}
})
};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/event_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3,
"slug": "biochar-production",
"name": "Biochar Production",
"created_at": "2025-01-15T10:00:00.000Z",
"updated_at": "2025-01-15T10:00:00.000Z",
"data_point_types": [],
"requires_locations": true,
"requires_feedstock": false
}{
"status": "error",
"statusCode": 400,
"errors": [
{
"message": "Name can't be blank"
}
]
}{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "record not found"
}
]
}Authorizations
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
Create an event type
